OPTION ARITHMETIC COMPLEX
LET i=sqr(-1)
DEF sin(z)=(EXP(i*z)-EXP(-i*z))/(2*i)
LET left = -8                 ! left                 
LET right = 8                 ! right               
LET h = (right - left)        ! height
SET WINDOW left, right,-h/2,h/2    
ASK PIXEL SIZE(left,-h/2;right,h/2) px,py
LET px=px-1
LET py=py-1
DRAW grid
SET POINT STYLE 1
FOR u= left TO right step (right-left)/px                               
   FOR v = 0 to h/2 step h/py
      LET Lambda=COMPLEX(u,v)                            
      LET z=0.5
      WHEN EXCEPTION IN                        
         FOR n = 1 TO 250                        
            LET z=lambda*sin(z)   
         NEXT n                                  
         PLOT POINTS: u,v
         PLOT POINTS: u,-v   
      USE
      END WHEN                           
   NEXT v                                      
NEXT u                                        
END                                             


